Update a specific site by id
curl --request PATCH \
--url https://api.ionworks.com/sites/{site_id} \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.ionworks.com/sites/{site_id}"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.ionworks.com/sites/{site_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"location": "<string>",
"notes": "<string>",
"created_by": "<string>",
"created_by_email": "<string>",
"cycler_ids": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sites
Update a specific site by id
Update an existing site identified by its ID.
Only provided fields will be updated.
Update a specific site by id
Path Parameters
Body
application/json
The body is of type Raw Data · object.
Response
Successful Response
Model representing a site as returned by the API.
Name of the site
Unique identifier for the site
Organization this site belongs to.
Timestamp when the site was created
Timestamp when the site was last updated
Physical location of the site (e.g. address or lab name)
Free-text notes about the site
User ID of the user who created this site
Email of the user who created this site
List of cycler IDs belonging to this site
Was this page helpful?